ReferenceProduct
Upload a product attachment
Adds an attachment to the product. Requires `Permissions.Product.Update`.
POST
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
productId*integerFormat
int32application/json- body
fileData*stringfileName?stringlevel1Id?integerFormat
int32level2Id?integerFormat
int32level3Id?integerFormat
int32pathToFile?stringproductId?integerFormat
int32response?unknownapplication/octet-streamcurl -X POST 'https://<your-instance>/api/products/0/attachment' \ -H 'Authorization: Bearer <access-token>' \ -H 'Content-Type: application/json' \ -d '{ "fileData": "string"}'null